# ComponentWithDependencies

interface ComponentWithDependencies : SoftwareComponent

Represents a component with implementation dependencies.

#### Since

4.6

#### Inheritors

SwiftComponent
SwiftBinary
CppComponent
CppBinary

## Functions

getDependencies
Link copied to clipboard
abstract fun getDependencies(): ComponentDependencies
Returns the dependencies of this component.
getName
Link copied to clipboard
abstract fun getName(): String